.l-section {
	position:  relative;
	width:     100%;
	clear:     both;
	min-width: 320px;
}

.l-section--padding,
.l-section__padding {
	width:         100%;
	padding-left:  15px;
	padding-right: 15px;
}

.l-section--multicol {
	display:     flex;
	flex-wrap:   nowrap;
	align-items: flex-start;
}

.l-section--top-margin {
	margin-top: 45px;
}

.l-section--top-margin-60 {
	margin-top: 60px;
}

.l-section--top-margin-70 {
	margin-top: 60px;
}

.l-section--top-margin-80 {
	margin-top: 60px;
}

.l-section--bottom-margin {
	margin-bottom: 70px;
}

.l-section--bottom-margin--60 {
	margin-bottom: 60px;
}

.l-section--top-margin-minus {
	margin-top: -165px;
}

.l-section__container--relative {
	position: relative;
}

.l-section--container .l-section--container,
.l-section--container .l-section__container,
.l-section__container .l-section__container,
.l-section__container .l-section--container,
.l-section--container .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section__container .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section--container .e-con-boxed,
.l-section__container .e-con-boxed,
.l-section--container-wide .l-section--container-wide,
.l-section--container-wide .l-section__container-wide,
.l-section__container-wide .l-section__container-wide,
.l-section__container-wide .l-section--container-wide,
.l-section--container-wide .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section__container-wide .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section--container-wide .e-con-boxed,
.l-section__container-wide .e-con-boxed,
.e-con-boxed .l-section--container-wide,
.e-con-boxed .l-section__container-wide,
.e-con-boxed .l-section--container,
.e-con-boxed .l-section__container,
.elementor-section-boxed .l-section--container-wide,
.elementor-section-boxed .l-section__container-wide,
.elementor-section-boxed .l-section--container,
.elementor-section-boxed .l-section__container {
	padding-left:  0 !important;
	padding-right: 0 !important;
}

.e-con-boxed .e-con-boxed {
	padding-left:  0 !important;
	padding-right: 0 !important;
	margin-left:   0 !important;
	margin-right:  0 !important;
	width:         100% !important;
}

/*-- Layouts (Desktop) --*/

@media (min-width: 1250px) {
	.l-section--container-wide,
	.l-section__container-wide {
		width:         1680px;
		max-width:     100%;
		margin-left:   auto;
		margin-right:  auto;
		padding-left:  70px;
		padding-right: 70px;
	}
}

@media (min-width: 1190px) {

	.l-section__sidebar {
		flex:         0 0 auto;
		width:        260px;
		margin-right: 40px;
	}

	.h-rtl .l-section__sidebar {
		margin-right: 0;
		margin-left:  40px;
	}

	.l-section__sidebar--right {
		margin-right: 0;
		margin-left:  40px;
	}

	.h-rtl .l-section__sidebar--right {
		margin-right: 40px;
		margin-left:  0;
	}

	.l-section__content--with-sidebar {
		flex:      1 1 auto;
		min-width: 860px;
	}

	.l-section--container,
	.l-section__container {
		width:        1160px;
		margin-left:  auto;
		margin-right: auto;
	}

	.l-section--with-sidebar {
		display:   flex;
		flex-wrap: nowrap;
	}
}

/*-- Layouts (Mobile) --*/

@media (max-width: 1249px) {
	.l-section--container-wide,
	.l-section__container-wide {
		width:         100%;
		padding-left:  30px;
		padding-right: 30px;
	}
}

@media (max-width: 1189px) {

	.l-section--top-margin-minus {
		margin-top:    -145px;
		margin-bottom: 0;
	}

	.l-section--white {
		background-color: white;
	}

	@media (min-width: 768px) {
		.l-section--white.l-section--checkout {
			background-color: var(--background-color);
		}
	}

	.l-section--white.l-section--top-margin {
		padding-top: 45px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-60 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-70 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-80 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--bottom-margin {
		padding-bottom: 70px;
		margin-bottom:  0;
	}

	.l-section--white.l-section--bottom-margin--60 {
		padding-bottom: 70px;
		margin-bottom:  0;
	}

	.l-section--with-sidebar {
		display:        flex;
		flex-direction: column;
	}

	.l-section--container,
	.l-section__container,
	.elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
	.e-con-boxed {
		width:         100%;
		padding-left:  30px;
		padding-right: 30px;
	}

	.l-section__sidebar {
		position: relative;
		overflow: hidden;
	}

	.l-section__sidebar--right {
		margin-top: 95px;
	}

	.l-section__sidebar--left {
		order:      3;
		margin-top: 70px;
	}

	.l-section__sidebar--popup {
		margin: 0;
	}

	.l-section__content--with-sidebar {
		margin-left:  auto;
		margin-right: auto;
		width:        100%;
	}

	.l-section--margin-120 {
		margin-top:    60px;
		margin-bottom: 60px;
	}
}
/*- Product badges -*/

.c-badge__list {
    display:   flex;
    flex-wrap: wrap;
}

.c-badge {
    flex:             0 1 auto;
    display:          inline-block;
    padding:          18px 7px 7px 8px;
    text-transform:   uppercase;
    color:            #FFF;
    font-style:       normal;
    font-weight:      bold;
    font-size:        10px;
    line-height:      18px;
    letter-spacing:   0.03em;
    text-align:       center;
    margin-bottom:    5px;
    background-color: var(--text-color);
}

.c-badge--new {
    order:            1;
    background-color: var(--badge-bgcolor-new);
}

.c-badge--sale {
    order:            2;
	font-size: 35px;
    background-color: var(--badge-bgcolor-sale);
}

.c-badge--new + .c-badge--sale {
    margin-left: 5px;
}

.h-rtl .c-badge--new + .c-badge--sale {
    margin-left:  0;
    margin-right: 5px;
}

.c-badge--featured {
    order:            3;
    background-color: var(--badge-bgcolor-featured);
}
/*- Product grid -*/

.c-product-grid {
	margin-top: 40px;
}

.c-product-grid__wrap {
	margin: -20px;
}

.c-product-grid__list {
	display:         flex;
	flex-wrap:       wrap;
	position:        relative;
	justify-content: flex-start;
	align-items:     stretch;
}

.elementor-section-full_width .elementor-shortcode .c-product-grid__list,
.e-con-full .elementor-shortcode .c-product-grid__list {
	justify-content: center;
}

.c-product__products .c-product-grid__list {
	justify-content: center;
}

.c-product-grid__list--center {
	justify-content: center;
}

.c-product-grid__list--loading:before {
	content:  '';
	display:  block;
	position: absolute;
	left:     0;
	right:    0;
	top:      0;
	bottom:   0;
	opacity:  0.8;
	z-index:  10;
}

.c-product-grid__item {
	flex:           0 0 auto;
	display:        flex;
	flex-direction: column;
	position:       relative;
	margin:         20px;
}

.c-product-grid__item--view-more {
	background-color: white;
	justify-content:  center;
	align-items:      center;
	padding:          30px !important;
}

.c-product-grid__item--view-more.c-product-grid__item--normal {
	min-height: 430px;
}

.c-product-grid__item--view-more.c-product-grid__item--2-per-row {
	min-height: 220px;
}

.c-product-grid__item--view-more.c-product-grid__item--compact {
	min-height: calc(135px * var(--image-grid-compact-prop-k));
}

.c-product-grid__details {
	margin-top:       1px;
	flex:             1 1 auto;
	display:          flex;
	flex-direction:   column;
	justify-content:  space-between;
	background-color: white;
	position:         relative;
	padding:          26px 30px 30px 30px;
}

.c-product-grid__thumb-wrap {
	flex:             0 0 auto;
	position:         relative;
	background-color: white;
	overflow:         hidden;
	padding-bottom:   var(--image-grid-prop);
}

.c-product-grid__thumb {
	display:         block;
	position:        absolute;
	left:            0;
	top:             0;
	-o-object-fit:      contain;
	   object-fit:      contain;
	-o-object-position: center;
	   object-position: center;
}

.c-product-grid__badges {
	pointer-events: none;
	position:       absolute;
	left:           0;
	top:            -5px;
	z-index:        2;
	width:          100%;
}

.c-product-grid__item--normal .c-badge--featured {
	margin-left: auto;
}

.h-rtl .c-product-grid__item--normal .c-badge--featured {
	margin-left:  unset;
	margin-right: auto;
}

.c-product-grid__item--normal .c-product-grid__stock-wrap {
	position:   absolute;
	bottom:     0;
	left:       0;
	right:      0;
	text-align: center;
	z-index:    2;
}

.c-product-grid__item--normal .c-product-grid__stock {
	display:          inline-block;
	max-width:        80%;
	font-weight:      500;
	font-size:        11px;
	line-height:      20px;
	letter-spacing:   0.21em;
	text-transform:   uppercase;
	padding:          8px 22px 7px 22px;
	color:            white;
	background-color: var(--badge-bgcolor-outofstock);
}

.c-product-grid__title-wrap {
	text-align: center;
}

.c-product-grid__item .woocommerce-loop-product__title {
	font-weight:    normal;
	font-size:      var(--font-size);
	line-height:    1.4;
	margin:         0 0 10px 0;
	letter-spacing: var(--font-letter-spacing);
	padding-left:   var(--font-letter-spacing);
	text-transform: uppercase;
	font-family:    var(--font-header);
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.c-product-grid__item--normal .star-rating {
	margin-top: 24px;
}

.c-product-grid__short-desc {
	opacity:        0.62;
	font-weight:    400;
	font-size:      14px;
	line-height:    20px;
	letter-spacing: 0.025em;
	color:          var(--text-color);
}

.c-product-grid__short-desc ul {
	text-align: left;
}

.c-product-grid__short-desc > :first-child {
	margin-top: 0;
}

.c-product-grid__short-desc > :last-child {
	margin-bottom: 0;
}

.c-product-grid__thumb-button-list {
	display:   inline-flex;
	position:  absolute;
	left:      50%;
	top:       50%;
	transform: translate(-50%, -50%);
}

.c-product-grid__thumb-button {
	flex:             0 0 auto;
	width:            50px;
	height:           50px;
	overflow:         hidden;
	color:            var(--button-color);
	background-color: var(--button-white-color);
	border:           solid 1px currentColor;
	font-size:        16px;
	position:         relative;
	opacity:          0;
	visibility:       hidden;
	transition:       var(--opacity-transition);
	cursor:           pointer;
}

.c-product-grid__item--compact .c-product-grid__thumb-button--single {
	width: 99px;
}

.c-product-grid__thumb-button:not(:first-child) {
	left: -1px;
}

.h-rtl .c-product-grid__thumb-button:not(:first-child) {
	left:  0;
	right: -1px;
}

.c-product-grid__icon {
	position: relative;
	z-index:  1;
	display:  inline-flex;
}

.c-product-grid__icon--hover {
	display: none;
}

.c-product-grid__price-wrap {
	text-align:     center;
	font-weight:    500;
	font-size:      16px;
	line-height:    30px;
	letter-spacing: 0.8px;
	margin-top:     15px;
}

.c-product-grid__price-wrap del {
	opacity:      0.3;
	margin-right: 3px;
}

.c-product-grid__price-wrap ins {
	text-decoration: none;
}

.c-product-grid__atc {
	display:          block;
	color:            var(--button-color);
	border:           solid 1px currentColor;
	font-weight:      400;
	font-size:        12px;
	line-height:      14px;
	text-align:       center;
	letter-spacing:   3.12px;
	text-transform:   uppercase;
	padding:          22px 15px 21px 15px;
	background-color: var(--button-white-color);
	z-index:          5;
}

.c-product-grid__atc.added {
	display: none;
}

.c-product-grid__atc-icon {
	font-size:   9px;
	line-height: 14px;
	/*vertical-align: middle;*/
}

.h-rtl .c-product-grid__atc-icon {
	transform: scale(-1, 1);
	display:   inline-block;
}

.c-product-grid__atc-icon:first-child {
	margin-right: 9px;
}

.h-rtl .c-product-grid__atc-icon:first-child {
	margin-right: 0;
	margin-left:  9px;
}

.c-product-grid__atc-icon:last-child {
	margin-left: 9px;
}

.h-rtl .c-product-grid__atc-icon:last-child {
	margin-left:  0;
	margin-right: 9px;
}

/*-- Product grid (Compact Layout) --*/

.c-product-grid__item--compact {
	flex-wrap:        nowrap;
	flex-direction:   row;
	background-color: white;
}

.c-product-grid__item--compact .c-product-grid__thumb-wrap {
	width:   135px;
	height:  calc(135px * var(--image-grid-compact-prop-k));
	padding: 0;
}

.c-product-grid__item--compact .c-product-grid__thumb {
	width:  100% !important;
	height: calc(135px * var(--image-grid-compact-prop-k)) !important;
}

.c-product-grid__item--normal .c-product-grid__thumb {
	width:  100% !important;
	height: 100% !important;
}

.c-product-grid__thumb-wrap > a > div {
	display:         block;
	position:        absolute !important;
	left:            0;
	top:             0;
	width:           100% !important;
	height:          100% !important;
}

.c-product-grid__thumb--contain {
	-o-object-fit: contain !important;
	   object-fit: contain !important;
}

.c-product-grid__item--compact .c-product-grid__details {
	margin-top:  0;
	padding:     20px 25px 13px 25px;
	border-left: none;
	max-width:   calc(100% - 135px);
}

.c-product-grid__item--compact .c-product-grid__atc {
	position:        absolute;
	width:           99px;
	left:            17px;
	top:             calc((135px * var(--image-grid-compact-prop-k) - 100px) / 2 + 49px);
	height:          51px;
	opacity:         0;
	visibility:      hidden;
	transition:      var(--opacity-transition);
	align-self:      flex-start;
	font-weight:     500;
	font-size:       10px;
	line-height:     14px;
	text-align:      center;
	letter-spacing:  0.24em;
	text-indent:     0;
	display:         flex;
	justify-content: center;
	align-items:     center;
	padding:         0 5px 0 5px;
}

.h-rtl .c-product-grid__item--compact .c-product-grid__atc {
	left:  unset;
	right: 17px;
}

.c-product-grid__item--compact .c-product-grid__atc-text {
	display: none;
}

.c-product-grid__item--compact .c-product-grid__atc-icon {
	margin-right: 0;
	font-size:    15px;
}

.h-rtl .c-product-grid__item--compact .c-product-grid__atc-icon {
	margin-left: 0;
}

.c-product-grid__item--compact .c-product-grid__title-wrap {
	text-align: left;
}

.h-rtl .c-product-grid__item--compact .c-product-grid__title-wrap {
	text-align: right;
}

.c-product-grid__item--compact .woocommerce-loop-product__title {
	font-size:     var(--font-size-compact);
	line-height:   20px;
	margin-bottom: 7px;
	padding-left:  0;
}

.c-product-grid__item--compact .c-product-grid__price-wrap {
	font-size:  13px;
	margin-top: 5px;
	text-align: right;
	position:   relative;
}

.h-rtl .c-product-grid__item--compact .c-product-grid__price-wrap {
	text-align: left;
}

/*.c-product-grid__item--compact .star-rating {
	position: absolute;
	left:     25px;
	bottom:   23px;
}*/

.c-product-grid__item--compact .c-product-grid__badges {
	justify-content: flex-end;
	top:             -12px;
}

.c-product-grid__item--compact .c-badge {
	margin-left: 5px;
}

.h-rtl .c-product-grid__item--compact .c-badge {
	margin-left:  0;
	margin-right: 5px;
}

.c-product-grid__item--compact .c-product-grid__thumb-button-list {
	top:       calc((135px * var(--image-grid-compact-prop-k) - 100px) / 2);
	transform: translateX(0);
	left:      17px;
}

.c-product-grid__item--compact .c-product-grid__stock {
	position:         absolute;
	bottom:           0;
	left:             0;
	right:            0;
	z-index:          2;
	display:          block;
	text-align:       center;
	font-weight:      500;
	font-size:        10px;
	line-height:      20px;
	letter-spacing:   0.21em;
	text-transform:   uppercase;
	padding:          7px 15px 8px 16px;
	color:            white;
	background-color: var(--badge-bgcolor-outofstock);
}

.c-product-grid__brands {
	margin-top:     -12px;
	margin-bottom:  5px;
	font-weight:    300;
	font-size:      11.5px;
	line-height:    24px;
	letter-spacing: 0.025em;
	color:          var(--text-color);
}

.c-product-grid__item--compact .c-product-grid__price-wrap {
	display:         flex;
	flex-wrap:       wrap;
	justify-content: space-between;
}

.c-product-grid__item--compact .c-product-grid__price-wrap > .price {
	flex:        1 1 auto;
	margin-left: 10px;
}

.h-rtl .c-product-grid__item--compact .c-product-grid__price-wrap > .price {
	margin-left:  0;
	margin-right: 10px;
}

.c-product-grid__item--compact .c-product-grid__brands {
	margin-top:    3px;
	margin-bottom: 0;
}

.c-product-grid__cat-desc:empty {
	display: none;
}

.c-product-grid__cat-desc .term-description > :first-child,
.c-product-grid__cat-desc .page-description > :first-child {
	margin-top: 0;
}

.c-product-grid__cat-desc .term-description > :last-child,
.c-product-grid__cat-desc .page-description > :last-child {
	margin-bottom: 0;
}

.c-product-grid__cat-desc--above {
	margin-bottom: 40px;
}

.c-product-grid__cat-desc--below {
	margin-top:    0;
	margin-bottom: 70px;
}

.c-product-grid__item--compact .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc,
.c-product-grid__item--compact .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc + .c-product-grid__atc,
.c-product-grid__item--compact .c-product-grid__thumb-button-list--no-atc {
	top: calc((135px * var(--image-grid-compact-prop-k) - 50px) / 2);
}

.c-product-grid__color-list {
	margin:          12px -7px 5px -7px;
	padding:         0;
	list-style:      none;
	display:         flex;
	flex-wrap:       wrap;
	justify-content: center;
}

.c-product-grid__item--compact .c-product-grid__color-list {
	margin-top:      7px;
	justify-content: flex-end;
}

.c-product-grid__color-item:before {
	content:               '';
	display:               block;
	position:              absolute;
	left:                  -5px;
	right:                 -5px;
	top:                   -5px;
	bottom:                -5px;
	border:                solid 1px var(--text-color);
	opacity:               0;
	transition:            var(--opacity-transition);
	border-radius:         50px;
}

.c-product-grid__color-item {
	position:              relative;
	margin:                0 7px;
	flex:                  0 0 auto;
	display:               block;
	width:                 16px;
	height:                16px;
	border-radius:         50px;
}

.c-product-grid__color-item--color {
	border: solid 1px var(--text-color-tr);
}

.c-product-grid__color-title {
	position:         absolute;
	left:             50%;
	transform:        translate(-50%, -5px);
	bottom:           calc(100% + 10px);
	display:          block;
	background-color: var(--text-color);
	opacity:          0;
	transition:       var(--opacity-transform-transition);
	min-width:        1px;
	padding:          7px 7px 7px 8px;
	text-transform:   uppercase;
	color:            #FFF;
	font-style:       normal;
	font-weight:      bold;
	font-size:        10px;
	line-height:      11px;
	letter-spacing:   0.03em;
	text-align:       center;
}

.c-product-grid__color-title:before {
	content:                  '';
	display:                  block;
	position:                 absolute;
	left:                     50%;
	margin-left:              -4px;
	bottom:                   -8px;
	border:                   solid 4px transparent;
	border-top-color:         var(--text-color);
	transform-origin:         center;
}

.c-product-grid__color-item--var {
	cursor: pointer;
}

.c-product-grid__color-item.current:before {
	opacity: 1;
}

.c-product-grid__load-infinity {
	display: inline-flex;
	width:   35px;
	height:  35px;
}

.c-product-grid__load-more .h-loading {
	top: -2px;
}

/*-- Product grid (Desktop) --*/

@media (min-width: 1190px) {

	.elementor-section-full_width .elementor-shortcode .c-product-grid__wrap,
	.e-con-full .elementor-shortcode .c-product-grid__wrap {
		margin-left:  50px;
		margin-right: 50px;
	}

	.c-product-grid__color-item:hover .c-product-grid__color-title {
		opacity:   1;
		transform: translate(-50%, 0);
	}

	.c-product-grid__item:hover .c-product-grid__thumb-button {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__thumb--hover {
		opacity:   0;
		transform: scale(1, 1);
	}

	.c-product-grid__thumb--base,
	.c-product-grid__thumb--hover {
		transition: opacity 0.3s linear, transform 0.3s linear;
	}

	.c-product-grid__item:hover .c-product-grid__thumb--base {
		opacity: 0;
	}

	.c-product-grid__item:hover .c-product-grid__thumb--hover {
		opacity:   1;
		transform: scale(1.05, 1.05);
	}

	.c-product-grid__thumb-button:hover .c-product-grid__icon--hover {
		display: inline-flex;
	}

	.c-product-grid__thumb-button:hover .c-product-grid__icon--normal {
		display: none;
	}

	.c-product-grid__item--3-per-row {
		width: 360px;
	}

	.c-product-grid__item--4-per-row {
		width: 260px;
	}

	.c-product-grid__item--compact {
		width: 360px;
	}

	.l-section__content--with-sidebar .c-product-grid__item--compact,
	.c-product-grid__item--compact.c-product-grid__item--sidebar {
		width:  415px;
		margin: 15px;
	}

	.c-product-grid__wrap--compact.c-product-grid__wrap--sidebar {
		margin: -15px;
	}

	.c-product-grid__item:hover .c-product-grid__atc {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__item--4-per-row .c-product-grid__atc {
		top: calc(260px * var(--image-grid-prop-k));
	}

	.c-product-grid__item--3-per-row .c-product-grid__atc {
		top: calc(360px * var(--image-grid-prop-k));
	}

	.c-product-grid__item--3-per-row .c-product-grid__thumb-wrap {
		padding-bottom: var(--image-grid-prop);
	}

	.c-product-grid__item--3-per-row .c-product-grid__thumb {
		width:           100% !important;
		height:          100% !important;
		-o-object-fit:      contain;
		   object-fit:      contain;
		-o-object-position: center;
		   object-position: center;
	}

	.c-product-grid__item .c-product-grid__atc {
		opacity:    0;
		visibility: hidden;
		transition: var(--hover-transition);
		align-self: flex-start;
	}

	.c-product-grid__item--normal .c-product-grid__atc {
		transform: translateY(-100%);
		position:  absolute;
		width:     100%;
		left:      0;
	}

	.c-product-grid__atc:hover {
		color:            var(--button-white-color) !important;
		background-color: var(--button-color);
		border-color:     var(--button-color);
	}

	.c-product-grid__brand:hover,
	.woocommerce-loop-product__link:hover {
		color: var(--accent-color);
	}

	.c-product-grid__item--always .c-product-grid__atc {
		position:     absolute;
		width:        100%;
		left:         0;
		bottom:       -1px;
		z-index:      10;
		border-color: white;
		top:          unset;
		transform:    none;
		opacity:      1;
		visibility:   visible;
	}

	.c-product-grid__item--always:not(:hover) .c-product-grid__atc {
		pointer-events: none;
	}

	.c-product-grid__item--always {
		padding-bottom: 60px;
	}

	.c-product-grid__item--compact:hover .c-product-grid__atc {
		opacity:    1;
		visibility: visible;
	}
}

/*-- Product grid (Mobile) --*/

@media (max-width: 1189px) {

	.elementor-section-full_width .elementor-shortcode .c-product-grid__wrap,
	.e-con-full .elementor-shortcode .c-product-grid__wrap {
		margin-left:  20px;
		margin-right: 20px;
	}

	.c-product-grid__color-item.hover .c-product-grid__color-title {
		opacity:   1;
		transform: translate(-50%, 0);
	}

	.c-product-grid__item--compact .c-product-grid__thumb-wrap--hover .c-product-grid__thumb-button {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__item--compact .c-product-grid__thumb-wrap--hover + .c-product-grid__atc,
	.c-product-grid__item--compact .c-product-grid__thumb-wrap--hover + .c-product-grid__atc + .c-product-grid__atc {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__list {
		justify-content: center;
	}

	.c-product-grid__item--normal {
		width: 260px;
	}

	.c-product-grid__item--compact {
		width: 360px;
	}

	.c-product-grid__item--normal .c-product-grid__atc {
		position:     absolute;
		width:        100%;
		left:         0;
		bottom:       -1px;
		z-index:      10;
		border-color: white;
	}

	.c-product-grid__item--2-per-row-btn .c-product-grid__atc {
		height:          60px;
		padding:         10px;
		font-size:       10px;
		line-height:     12px;
		/* letter-spacing:  0.5px; */
		display:         flex;
		align-items:     center;
		justify-content: center;
	}

	.c-product-grid__item--normal {
		padding-bottom: 60px;
	}

	.c-product-grid__item--normal .woocommerce-loop-product__title {
		font-size:      var(--font-size-mobile);
		line-height:    25px;
		/* letter-spacing: 0.21em; */
		padding-left:   0.21em;
	}

	.c-product-grid__item--normal .c-product-grid__price-wrap {
		margin-top: 20px;
	}

	.c-product-grid__item--normal .c-product-grid__thumb-wrap {
		padding-bottom: var(--image-grid-prop);
	}

	.c-product-grid__item--normal .c-product-grid__thumb {
		width:           100% !important;
		height:          100% !important;
		-o-object-fit:      contain;
		   object-fit:      contain;
		-o-object-position: center;
		   object-position: center;
	}

	.c-product-grid__item--compact {
		width:     100%;
		max-width: 415px;
		margin:    10px;
	}

	.c-product-grid__wrap--compact {
		margin: -10px;
	}

	.c-product-grid__item--compact .c-product-grid__atc {
		position: absolute;
		width:    99px;
		left:     17px;
	}

	.c-product-grid__item--1-per-row .c-product-grid__icon--quickview:after,
	.c-product-grid__item--2-per-row .c-product-grid__icon--quickview:after,
	.c-product-grid__item--2-per-row-btn .c-product-grid__icon--quickview:after {
		content:                var(--icon-eye-back);
		font-family:            theme-icons !important;
		font-style:             normal;
		font-weight:            normal !important;
		font-variant:           normal;
		text-transform:         none;
		line-height:            1;
		-webkit-font-smoothing: antialiased;
		position:               absolute;
		color:                  white;
		z-index:                -1;
	}

	.c-product-grid__item--1-per-row .c-product-grid__icon--wishlist:after,
	.c-product-grid__item--2-per-row .c-product-grid__icon--wishlist:after,
	.c-product-grid__item--2-per-row-btn .c-product-grid__icon--wishlist:after {
		content:                var(--icon-heart-back);
		font-family:            theme-icons !important;
		font-style:             normal;
		font-weight:            normal !important;
		font-variant:           normal;
		text-transform:         none;
		line-height:            1;
		-webkit-font-smoothing: antialiased;
		position:               absolute;
		color:                  white;
		z-index:                -1;
	}

	.c-product-grid__thumb--hover {
		display: none !important;
	}

	@media (min-width: 620px), (max-width: 359px) {
		.c-product-grid__item--1-per-row .c-product-grid__thumb-button-list,
		.c-product-grid__item--2-per-row .c-product-grid__thumb-button-list,
		.c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button-list {
			transform:      none;
			left:           unset;
			right:          0;
			bottom:         10px;
			top:            unset;
			flex-direction: column;
		}

		.h-rtl .c-product-grid__item--1-per-row .c-product-grid__thumb-button-list,
		.h-rtl .c-product-grid__item--2-per-row .c-product-grid__thumb-button-list
		.h-rtl .c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button-list {
			right: unset;
			left:  0;
		}

		.c-product-grid__item--1-per-row .c-product-grid__thumb-button,
		.c-product-grid__item--2-per-row .c-product-grid__thumb-button,
		.c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button {
			left:             unset !important;
			right:            unset !important;
			background-color: transparent;
			border:           none;
			height:           35px;
			opacity:          1;
			visibility:       visible;
		}
	}

	@media (max-width: 619px) and (min-width: 360px) {
		.c-product-grid__item--1-per-row .c-product-grid__thumb-button-list,
		.c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button-list {
			transform:      none;
			left:           unset;
			right:          0;
			bottom:         10px;
			top:            unset;
			flex-direction: column;
		}

		.h-rtl .c-product-grid__item--1-per-row .c-product-grid__thumb-button-list,
		.h-rtl .c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button-list {
			right: unset;
			left:  0;
		}

		.c-product-grid__item--1-per-row .c-product-grid__thumb-button,
		.c-product-grid__item--2-per-row-btn .c-product-grid__thumb-button {
			left:             unset !important;
			right:            unset !important;
			background-color: transparent;
			border:           none;
			height:           35px;
			opacity:          1;
			visibility:       visible;
		}
	}
}

@media (max-width: 619px) and (min-width: 360px) {

	.c-product-grid__wrap--2-per-row {
		margin: -17.5px -20px !important;
	}

	.c-product-grid__item--2-per-row {
		width:  150px;
		margin: 17.5px 10px !important;
	}

	.c-product-grid__wrap--2-per-row-btn {
		margin: -10px -20px !important;
	}

	.c-product-grid__item--2-per-row-btn {
		width:  160px;
		margin: 10px 5px !important;
	}

	.c-product-grid__item--2-per-row {
		padding-bottom: 0;
	}

	.c-product-grid__wrap--2-per-row .c-product-grid__thumb-wrap--hover .c-product-grid__thumb-button {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__wrap--2-per-row .c-product-grid__thumb-button--single {
		width: 99px;
	}

	.c-product-grid__item--2-per-row .c-product-grid__stock,
	.c-product-grid__item--2-per-row-btn .c-product-grid__stock {
		position:    absolute;
		bottom:      0;
		left:        0;
		right:       0;
		z-index:     2;
		font-size:   10px;
		line-height: 15px;
		padding:     10px 15px 11px 16px;
		max-width:   unset;
	}

	.h-ltr .c-product-grid__item--2-per-row-btn .c-product-grid__thumb-wrap--buttons .c-product-grid__stock {
		right: 50px;
	}

	.h-rtl .c-product-grid__item--2-per-row-btn .c-product-grid__thumb-wrap--buttons .c-product-grid__stock {
		left: 50px;
	}

	.c-product-grid__item--2-per-row .c-product-grid__details {
		background-color: transparent;
		padding:          17px 0 0 0;
	}

	.c-product-grid__item--2-per-row-btn .c-product-grid__details {
		padding: 17px 10px;
	}

	.c-product-grid__item--2-per-row .woocommerce-loop-product__title,
	.c-product-grid__item--2-per-row-btn .woocommerce-loop-product__title {
		font-size:      var(--font-size-mobile-2-per-row);
		line-height:    20px;
		/* letter-spacing: 0.23em; */
	}

	.c-product-grid__item--2-per-row .c-product-grid__short-desc,
	.c-product-grid__item--2-per-row-btn .c-product-grid__short-desc {
		font-size:  12px;
		text-align: center;
	}

	.c-product-grid__item--2-per-row .c-product-grid__thumb-button-list {
		top:               calc((150px * var(--image-grid-prop-k) - 100px) / 2);
		transform:         translateX(0);
		left:              25px;
		z-index:           5;
	}

	.c-product-grid__item--2-per-row .c-product-grid__thumb-button-list--no-atc {
		top: calc((150px * var(--image-grid-prop-k) - 50px) / 2);
	}

	.c-product-grid__item--2-per-row .c-product-grid__price-wrap,
	.c-product-grid__item--2-per-row-btn .c-product-grid__price-wrap {
		margin-top: 7px;
	}

	.c-product-grid__item--2-per-row .c-product-grid__atc {
		padding:         0 5px 0 5px;
		width:           99px !important;
		left:            25px;
		top:             calc((150px * var(--image-grid-prop-k) - 100px) / 2 + 49px);
		height:          51px !important;
		border-color:    currentColor;
		bottom:          unset;
		display:         flex;
		justify-content: center;
		align-items:     center;
		font-weight:     500;
		font-size:       10px;
		line-height:     14px;
		text-align:      center;
		/* letter-spacing:  0.24em; */
		text-indent:     0;
		opacity:         0;
		visibility:      hidden;
	}

	.h-rtl .c-product-grid__item--2-per-row .c-product-grid__atc {
		left: 26px;
	}

	.c-product-grid__item--2-per-row .c-product-grid__thumb-wrap--hover + .c-product-grid__atc,
	.c-product-grid__item--2-per-row .c-product-grid__thumb-wrap--hover + .c-product-grid__atc + .c-product-grid__atc {
		opacity:    1;
		visibility: visible;
	}

	.c-product-grid__item--2-per-row .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc,
	.c-product-grid__item--2-per-row .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc + .c-product-grid__atc {
		top: calc((150px * var(--image-grid-prop-k) - 50px) / 2);
	}

	.c-product-grid__item--2-per-row .c-product-grid__atc-icon {
		margin-right: 0 !important;
		margin-left:  0 !important;
		font-size:    15px;
	}

	.c-product-grid__item--2-per-row .c-product-grid__atc-text {
		display: none;
	}

	.c-product-grid__item--2-per-row .c-product-grid__price-wrap,
	.c-product-grid__item--2-per-row-btn .c-product-grid__price-wrap {
		font-size: 14px;
	}


	.c-product-grid__item--2-per-row .c-product-grid__brands,
	.c-product-grid__item--2-per-row-btn .c-product-grid__brands {
		margin-top:    5px;
		margin-bottom: 10px;
		line-height:   20px;
	}

	.c-product-grid__item--2-per-row .c-badge,
	.c-product-grid__item--2-per-row-btn .c-badge {
		margin-left:  0 !important;
		margin-right: 5px !important;
	}

	.h-rtl .c-product-grid__item--2-per-row .c-badge,
	.h-rtl .c-product-grid__item--2-per-row-btn .c-badge {
		margin-left:  5px !important;
		margin-right: 0 !important;
	}

	.c-product-grid__item--2-per-row .star-rating,
	.c-product-grid__item--2-per-row .star-rating {
		margin-top: 18px;
	}
}


@media (max-width: 415px) {
	.c-product-grid__item--compact .c-product-grid__price-wrap {
		display:    block;
		text-align: right;
	}

	.h-rtl .c-product-grid__item--compact .c-product-grid__price-wrap {
		text-align: left;
	}
}

@media (max-width: 360px) {

	.c-product-grid__item--compact .c-product-grid__thumb-wrap {
		width:  90px;
		height: calc(90px * var(--image-grid-compact-prop-k-mobile));
	}

	.c-product-grid__item--compact .c-product-grid__thumb {
		width:           100% !important;
		height:          100% !important;
		-o-object-fit:      cover;
		   object-fit:      cover;
		-o-object-position: center;
		   object-position: center;
	}

	.c-product-grid__item--compact .c-product-grid__details {
		padding-left:  20px;
		padding-right: 20px;
		max-width:     calc(100% - 90px);
	}

	.c-product-grid__item--compact .c-product-grid__thumb-button {
		width:     40px;
		height:    40px;
		font-size: 12px;
	}

	.c-product-grid__item--compact .c-product-grid__thumb-button-list {
		top:  calc((90px * var(--image-grid-compact-prop-k-mobile) - 90px) / 2);
		left: 5px;
	}

	.c-product-grid__item--compact .c-product-grid__thumb-button-list--no-atc {
		top: calc((90px * var(--image-grid-compact-prop-k-mobile) - 40px) / 2);
	}

	.c-product-grid__item--compact .c-product-grid__atc {
		left:     5px;
		position: absolute;
		width:    79px !important;
		top:      calc((90px * var(--image-grid-compact-prop-k-mobile) - 90px) / 2 + 39px);
	}

	.c-product-grid__item--compact .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc,
	.c-product-grid__item--compact .c-product-grid__thumb-wrap--no-buttons + .c-product-grid__atc + .c-product-grid__atc {
		top: calc((90px * var(--image-grid-compact-prop-k) - 50px) / 2);
	}

	.c-product-grid__item--compact .c-product-grid__thumb-button-list--no-atc {
		top: calc((90px * var(--image-grid-compact-prop-k) - 40px) / 2);
	}

	.c-product-grid__item--compact .c-product-grid__atc--icon {
		font-size:   6px;
		line-height: 12px;
	}
}

/*- Product List Widget -*/

.c-product-list-widget {
	list-style: none;
	margin:     0;
	padding:    0;
}

.c-product-list-widget__empty {
	font-size: 15px;
}

.c-product-list-widget__item + .c-product-list-widget__item {
	margin-top: 35px;
}

.c-product-list-widget__wrap {
	display:  flex;
	position: relative;
}

.c-product-list-widget__thumb-col {
	width:        47px;
	flex:         0 0 auto;
	margin-right: 20px;
}

.h-rtl .c-product-list-widget__thumb-col {
	margin-right: 0;
	margin-left:  20px;
}

.c-product-list-widget .variation {
	text-transform: none;
	display:        block;
	margin:         0;
	padding:        0;
}

.c-product-list-widget .variation * {
	display: inline;
	margin:  0;
	padding: 0;
}

.c-product-list-widget .variation dd {
	color: var(--text-color);
}

.c-product-list-widget .variation dd:after {
	content:     '\A';
	white-space: pre-line;
}

.c-product-list-widget__thumb {
	width:           47px !important;
	-o-object-position: center;
	   object-position: center;
	-o-object-fit:      cover;
	   object-fit:      cover;
	display:         block;
}

.c-product-list-widget__thumb--cover {
	height: 35px !important;
}

.c-product-list-widget__thumb--contain {
	height: calc(47px * var(--image-grid-prop-k)) !important;
}

.c-product-list-widget__title-col {
	flex:      1 1 auto;
	min-width: 100px;
}

.c-product-list-widget__title {
	font-weight:    normal;
	font-size:      13px;
	line-height:    16px;
	/* letter-spacing: 0.1em; */
	text-transform: uppercase;
	white-space:    normal;
	color:          var(--text-color);
}

.c-product-list-widget__price {
	margin-top:     7px;
	font-weight:    300;
	font-size:      13px;
	line-height:    16px;
	/* letter-spacing: 0.025em; */
	color:          var(--text-color-light);
}

.c-product-list-widget__brand {
	font-weight:    300;
	font-size:      13px;
	line-height:    16px;
	/* letter-spacing: 0.025em; */
	color:          var(--text-color-light);
}

.c-product-list-widget__remove {
	color:            var(--text-color-light);
	position:         absolute;
	display:          flex;
	width:            18px;
	height:           18px;
	justify-content:  center;
	align-items:      center;
	font-size:        8px;
	line-height:      1;
	left:             -18px;
	top:              9px;
	transform-origin: center center;
	opacity:          0;
	visibility:       hidden;
	transition:       var(--opacity-transform-transition);
}

.c-product-list-widget__remove--contain {
	top: calc(47px * var(--image-grid-prop-k) / 2 - 9px);
}

.h-rtl .c-product-list-widget__remove {
	left:  unset;
	right: -18px;
}

.c-product-list-widget__total {
	margin-top:      28px;
	position:        relative;
	display:         flex;
	justify-content: space-between;
}

.c-product-list-widget__total-title {
	font-size:      13px;
	line-height:    24px;
	letter-spacing: 0.06em;
	text-transform: uppercase;
	color:          var(--text-color-light);
}

.c-product-list-widget__total .tax_label {
	position: absolute;
	display:  inline-block;
	right:    0;
	top:      27px;
}

.c-product-list-widget__total .amount {
	font-weight:    600;
	font-size:      14px;
	line-height:    24px;
	/* letter-spacing: 0.03em; */
	margin-left:    15px;
}

.h-rtl .c-product-list-widget__total .amount {
	margin-left:  0;
	margin-right: 15px;
}

.c-product-list-widget__buttons {
	display:   flex;
	flex-wrap: wrap;
	margin:    20px -5px -5px -5px;
}

.c-product-list-widget__buttons .button {
	display:        inline-block;
	flex:           1 1 auto;
	margin:         5px !important;
	font-weight:    500;
	font-size:      9px;
	line-height:    11px;
	text-align:     center;
	/* letter-spacing: 0.24em; */
	text-transform: uppercase;
	padding:        13.5px 11px;
	color:          var(--button-color);
	border:         solid 1px var(--button-color);
	cursor:         pointer;
}

.c-product-list-widget__more {
	display: none;
}

/*-- Product List Widget (Desktop) --*/

@media (min-width: 1190px) {
	.c-product-list-widget__title-link:hover {
		color: var(--accent-color);
	}

	.c-product-list-widget__buttons .button:hover {
		background-color: var(--button-color);
		color:            var(--button-white-color);
	}

	.c-product-list-widget__item.mini_cart_item {
		position: relative;
	}

	.c-product-list-widget__item.mini_cart_item:before {
		content:  '';
		display:  block;
		position: absolute;
		right:    100%;
		top:      0;
		bottom:   0;
		width:    18px;
	}

	.h-rtl .c-product-list-widget__item.mini_cart_item:before {
		right: unset;
		left:  100%;
	}

	.c-product-list-widget__item:hover .c-product-list-widget__remove {
		opacity:    1;
		visibility: visible;
	}

	.c-product-list-widget__remove:hover {
		transform: scale(2, 2);
	}
}

/*-- Product List Widget (Mobile) --*/
@media (max-width: 1189px) {
	.c-product-list-widget__remove {
		opacity:    1;
		visibility: visible;
	}
}